document.getElementById('calculate').addEventListener('click', function() {
  const phdSalary = parseFloat(document.getElementById('phd-salary').value);
  const ofEarnings = parseFloat(document.getElementById('of-earnings').value) * 12;
  
  if (isNaN(phdSalary) || isNaN(ofEarnings)) {
    alert('Please enter valid numbers in both fields.');
    return;
  }

  const result = document.getElementById('result');
  const decisionText = document.getElementById('decision-text');
  const animation = document.getElementById('decision-animation');

  if (ofEarnings > phdSalary) {
    result.textContent = `OnlyFans earns you $${(ofEarnings - phdSalary).toLocaleString()} more annually!`;
    decisionText.textContent = "The numbers suggest OnlyFans might be the better choice!";
    animation.style.backgroundColor = '#00b894';
  } else {
    result.textContent = `Your PhD earns you $${(phdSalary - ofEarnings).toLocaleString()} more annually!`;
    decisionText.textContent = "The numbers suggest sticking with your PhD might be wiser.";
    animation.style.backgroundColor = '#d63031';
  }
});